import React from "react";
import TravelHeading from '../travel-heading';
import TravelPartnerBlock from './block';
import partner1 from './images/partner-1.png';
import partner2 from './images/partner-2.png';
import partner3 from './images/partner-3.png';

const TravelPartner = (props) => {
  const { site } = props
  const socialBusiness = site?.socialMediaLinks || {}

  return (
    <div className="partner index-section">
      <div className="container">
        <TravelHeading
          heading={ <>we would love to hear from you!</> }
        />
        <div className="partner__list">
            <TravelPartnerBlock
                name='yelp'
                img={ partner1 }
                url={ socialBusiness['yelp-business'] || '#'}
            />
            <TravelPartnerBlock
                name='google-business'
                img={ partner2 }
                url={ socialBusiness['google-business'] || '#'}
            />
            <TravelPartnerBlock
                name='facebook-business'
                img={ partner3 }
                url={ socialBusiness['facebook-business'] || '#'}
            />
        </div>
      </div>
    </div>
  );
};

export default TravelPartner;